import java.util.Scanner;
import java.util.Stack;

public class cenzura {

	public static void main(String[] args) {
		String t, s, cenzurisano = "";
		char last = '+';
		int minval = 3000;
		int lokacija = 0;
		
		Scanner sc = new Scanner(System.in);
		t = sc.nextLine();
		s = sc.nextLine();
		sc.close();

		
		int sduz = s.length();
		int tduz = t.length();
		
		int broj[] = new int[sduz];
		
		Stack<Character> st = new Stack<>();
		
		for (int i = 0; i < sduz; i++) {
            st.push(s.charAt(i));
        }
		
		int j = -1;
		
		for (int i = tduz-1; i >= 0; i--) {
			if (st.empty()) {
                break;
            }
			
			if (last == t.charAt(i)) broj[j]++;
			
			if (t.charAt(i) == st.peek()) {
				last = st.peek();
				j++;
				broj[j]++;
                st.pop();
            }
		}
		

		
		if (!st.empty()) {
			System.out.println("Rec se ne nalazi u tekstu.");
		}
		
		for(int i = 0; i < sduz; i++) {
			if(broj[i] < minval) {
				minval = broj[i];
				lokacija = i;
			}
		}
		
		last = s.charAt(sduz-1-lokacija);
		
		for(int i = 0; i < tduz; i++) {
			if(last == t.charAt(i)) {
				cenzurisano += '*';
			} else cenzurisano += t.charAt(i);
		}
		
		System.out.println(cenzurisano);
	}
	


}